Std ViewIsometric: Difference between revisions

From FreeCAD Documentation
m (Add {{StdMenu}})
(Mini-cube menu now calls this command.)
 
(17 intermediate revisions by 4 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
<translate>
<translate>

<!--T:11-->
{{Docnav
|[[Std_ViewFitSelection|ViewFitSelection]]
|[[Std_ViewDimetric|ViewDimetric]]
|[[Std_View_Menu|Std View Menu]]
|IconL=Std_ViewFitSelection.svg
|IconR=Std_ViewDimetric.svg
|IconC=Freecad.svg
}}

<!--T:1-->
<!--T:1-->
{{GuiCommand
{{GuiCommand
|Name=Std ViewIsometric
|Name=Std ViewIsometric
|MenuLocation={{StdMenu|[[Std View Menu|View]]}} → Standard views → Axonometric → Isometric
|MenuLocation=View → Standard views → Axonometric → Isometric
|Workbenches=All
|Workbenches=All
|Shortcut=0
|Shortcut={{KEY|0}}
|SeeAlso=[[Std_OrthographicCamera|Orthographic camera]], [[Std_ViewDimetric|ViewDimetric]], [[Std_ViewTrimetric|ViewTrimetric]]
|SeeAlso=[[Std_ViewDimetric|Std ViewDimetric]], [[Std_ViewTrimetric|Std ViewTrimetric]]
}}
}}


Line 13: Line 24:


<!--T:3-->
<!--T:3-->
[[Std ViewIsometric|Std ViewIsometric]] command puts the camera in the [[3D view|3D view]] in [https://en.wikipedia.org/wiki/Isometric_projection axonometric isometric] projection, with a view direction {{incode|[-0.5773, 0.5773, -0.5773]}}.
The '''Std ViewIsometric''' command realigns the camera in the active [[3D_view|3D view]] to obtain an [https://en.wikipedia.org/wiki/Isometric_projection isometric] view. For a truly isometric view the 3D view must be in [[Std_OrthographicCamera|orthographic mode]], but the command also works if the view is in [[Std_PerspectiveCamera|perspective mode]].


</translate>
</translate>
[[File:FreeCAD_views_front.svg]]
[[Image:Std_ViewIsometric_example.svg]]
<translate>
<translate>
<!--T:4-->
<!--T:4-->
{{Caption|The [[Std_AxisCross|axis cross]] and a cube in isometric view}}
{{Caption|The isometric view looks slightly to the left (negative X), slightly to the back (positive Y), and slightly down (negative Z).}}


==Usage== <!--T:5-->
==Usage== <!--T:5-->


<!--T:6-->
<!--T:6-->
# There are several ways to invoke the command:
* Go to the menu {{MenuCommand|{{StdMenu|[[Std View Menu|View]]}} → Standard views → Axonometric → [[File:Std_ViewIsometric.svg|16px]] [[Std_ViewIsometric|Isometric]]}}.
* Or press the {{Button|[[File:Std_ViewIsometric.svg|16px]] [[Std_ViewIsometric|Isometric]]}} button.
#* Press the {{Button|[[Image:Std_ViewIsometric.svg|16px]] [[Std_ViewIsometric|Std ViewIsometric]]}} button.
#* Select the {{MenuCommand|View → Standard views → Axonometric → [[Image:Std_ViewIsometric.svg|16px]] Isometric}} option from the menu.
* Or press {{KEY|0}} in the numerical pad of the keyboard.
#* Select the {{MenuCommand|Standard views → [[Image:Std_ViewIsometric.svg|16px]] Isometric}} option from the [[3D_view|3D view]] context menu.
#* Select the {{MenuCommand|[[Image:Std_ViewIsometric.svg|16px]] Isometric}} option from the Mini-cube menu of the [[Navigation_Cube|Navigation Cube]].
#* Use the keyboard shortcut: {{KEY|0}}.


== Scripting == <!--T:7-->
==Scripting== <!--T:7-->


<!--T:8-->
<!--T:8-->
{{Emphasis|See also:}} [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
The isometric view can be set from the [[Python console|Python console]].


<!--T:9-->
<!--T:9-->
It is a method of the {{incode|ActiveView}} of the {{incode|ActiveDocument}}. The {{incode|ActiveView}} only exists when the graphical interface is available; it does not exist when FreeCAD is used in purely console mode.
To change to isometric view use the {{incode|viewIsometric}} method of the ActiveView object. This method is not available if FreeCAD is in console mode.


</translate>
</translate>
{{Code|code=
{{Code|code=
import FreeCADGui as Gui
import FreeCADGui
Gui.ActiveDocument.ActiveView.viewIsometric()


Gui.ActiveDocument.ActiveView.getViewDirection()
FreeCADGui.ActiveDocument.ActiveView.viewIsometric()
FreeCADGui.ActiveDocument.ActiveView.getViewDirection()
}}
}}
<translate>
<translate>



<!--T:10-->
<!--T:14-->
{{Std Base navi}}
{{Docnav
{{Userdocnavi}}
|[[Std_ViewFitSelection|ViewFitSelection]]
|[[Std_ViewDimetric|ViewDimetric]]
|[[Std_View_Menu|Std View Menu]]
|IconL=Std_ViewFitSelection.svg
|IconR=Std_ViewDimetric.svg
|IconC=Freecad.svg
}}

</translate>
</translate>
{{Std Base navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{clear}}
{{clear}}

Latest revision as of 09:53, 7 June 2023

Std ViewIsometric

Menu location
View → Standard views → Axonometric → Isometric
Workbenches
All
Default shortcut
0
Introduced in version
-
See also
Std ViewDimetric, Std ViewTrimetric

Description

The Std ViewIsometric command realigns the camera in the active 3D view to obtain an isometric view. For a truly isometric view the 3D view must be in orthographic mode, but the command also works if the view is in perspective mode.

The axis cross and a cube in isometric view

Usage

  1. There are several ways to invoke the command:
    • Press the Std ViewIsometric button.
    • Select the View → Standard views → Axonometric → Isometric option from the menu.
    • Select the Standard views → Isometric option from the 3D view context menu.
    • Select the Isometric option from the Mini-cube menu of the Navigation Cube.
    • Use the keyboard shortcut: 0.

Scripting

See also: FreeCAD Scripting Basics.

To change to isometric view use the viewIsometric method of the ActiveView object. This method is not available if FreeCAD is in console mode.

import FreeCADGui

FreeCADGui.ActiveDocument.ActiveView.viewIsometric()
FreeCADGui.ActiveDocument.ActiveView.getViewDirection()